<?php 
	session_start(); 
//datubāzes konfigurācija, saglabājot tos datus mainīgajos
$dbservername = "localhost";
$dbusername = "gamizoge_admins";
$dbpassword = "^uuem[j6kjJ#";
$dbname = "gamizoge_Forums";

// pieslēgties datubāzei
$db = new mysqli($dbservername, $dbusername, $dbpassword, $dbname);
//saglabā esošās sesijas lietotājvārdu mainīgajā
$username=$_SESSION['username'];

// atlasa kolumnu ADMINS no tabulas users kur lietotājvārds ir saglabātais esošais mainīgais
$sql = "SELECT admins FROM users WHERE username='$username'";
$result = $db->query($sql);
$row = $result->fetch_assoc();
// ja tabulas dati no admins NAV 'Y', tad sesiju pamet, noņem nost esošās sesijas lietotājvārdu un aiziet atpakaļ uz login.php lapu
if ($row["admins"] !== 'Y'){
	session_destroy();
	unset($_SESSION['username']);
	header("location: ../login.php");
}
   // ja nav lietotājvārds, tad parāda ziņu un aiziet uz lapu login.php
if (!isset($_SESSION['username'])) {
	$_SESSION['msg'] = "Jums no sākuma jāpieslēdzas.";
	header('location: ../login.php');
}
?>
<!DOCTYPE html>
<HTML>
<HEAD>
	<meta charset="UTF-8">
	<title>ADMIN</title>
	<link rel="stylesheet" type="text/css" href="admin.css">
</HEAD>
<BODY>
<h1>ADMINA Panelis</h1>
<div id="adminmenu">
	<ul>
	    <!-- ja piespiež kādu no šīm <a> lapām, tad apakšā tiek izdrukāt izvēlētais php kodu fails. -->
		<li><a href="index.php">Sākums</a></li>
	    <li><a href="index.php?dzestrakstuft=true&id=1">Fortnite Raksti</a></li>
		<li><a href="index.php?dzestftkoment=true">Fortnite Komentāri</a></li>
		<li><a href="index.php?dzestrakstucs=true&id=1">CS Raksti</a></li>
		<li><a href="index.php?dzestcskoment=true">CS komentāri</a></li>
		<li><a href="index.php?dzestrakstufc=true&id=1">FarCry Raksti</a></li>
		<li><a href="index.php?dzestfckoment=true">FarCry Komentāri</a></li>
	    <li><a href="index.php?dzestrakstufear=true&id=1">Fear Raksti</a></li>
		<li><a href="index.php?dzestfearkoment=true">Fear Komentāri</a></li>
	    <li><a href="index.php?dzestrakstugta=true&id=1">GTA Raksti</a></li>
		<li><a href="index.php?dzestgtakoment=true">GTA Komentāri</a></li>
        <li><a href="index.php?dzestrakstumafia=true&id=1">Mafia Raksti</a></li>
		<li><a href="index.php?dzestmafiakoment=true">Mafia Komentāri</a></li>
		<li><a href="index.php?lietotajidzesana=true">Lietotāji</a></li>
		<li><a href="../index.php">Aplūkot mājaslapu</a></li>
	</ul>
</div>
<?php if (isset($_GET['dzestrakstuft'])) {
include 'dzestrakstuft.php'; 
}
if (isset($_GET['dzestftkoment'])) {
include 'dzestftkoment.php'; 
}
if (isset($_GET['dzestrakstucs'])) {
include 'dzestrakstucs.php'; 
}
if (isset($_GET['dzestcskoment'])) {
include 'dzestcskoment.php'; 
}
if (isset($_GET['dzestrakstufc'])) {
include 'dzestrakstufc.php'; 
}
if (isset($_GET['dzestfckoment'])) {
include 'dzestfckoment.php'; 
}
if (isset($_GET['dzestrakstufear'])) {
include 'dzestrakstufear.php'; 
}
if (isset($_GET['dzestfearkoment'])) {
include 'dzestfearkoment.php'; 
}
if (isset($_GET['dzestrakstugta'])) {
include 'dzestrakstugta.php'; 
}
if (isset($_GET['dzestgtakoment'])) {
include 'dzestgtakoment.php'; 
}
if (isset($_GET['dzestrakstumafia'])) {
include 'dzestrakstumafia.php'; 
}
if (isset($_GET['dzestmafiakoment'])) {
include 'dzestmafiakoment.php'; 
}
if (isset($_GET['lietotajidzesana'])) {
include 'lietotajidzesana.php'; 
}
if (empty($_GET)) {
  echo  "<h1>Spiežam uz kādu tabu. </h1>";
}?>

</BODY>
</HTML>
